about summary refs log tree commit diff stats
path: root/pkgs/by-name/ll/ll/ll.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/by-name/ll/ll/ll.sh')
-rwxr-xr-xpkgs/by-name/ll/ll/ll.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/pkgs/by-name/ll/ll/ll.sh b/pkgs/by-name/ll/ll/ll.sh
new file mode 100755
index 00000000..f689ba44
--- /dev/null
+++ b/pkgs/by-name/ll/ll/ll.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+last_directory="$(mktemp)"
+
+command lf -last-dir-path="$last_directory" "$@"
+
+dir="$(cat "$last_directory")"
+cd "$dir" || die "$dir does not exist!"
+rm "$last_directory"
+
+# vim: ft=sh